<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <style>
        @page{
            size: auto;
            margin: 0;
        }
        body{
            size: auto;
            margin: 0;
            padding: 0;
        }
        div.sticker{
            page-break-inside: avoid;

            /* Reduces 1mm the horizontal size to be able to fit three columns
               in an A4 page, which is the Europe standard and the most common
               way to buy stickers */
            max-width:  69mm;
            min-width:  69mm;
            width:      69mm;

            min-height: 37mm;
            max-height: 37mm;
            height:     37mm;
            display: inline-table;
        }
        div.container{
            padding: 2mm;
        }
        h3,h4,h5{
            margin: 0;
        }
        p{
            font-size: 80%;
            margin-top: 2mm;
            margin-bottom: 0;
        }
        p.space{
            padding-top: 5mm;
        }
        </style>
    </head>
    <body>
    {% for contact in contacts %}
    <div class="sticker">
        <div class="container">
        {% if contact.contact %}<h4>{{contact.contact}}</h4>{%endif%}
        {% if contact.organization %}<h5>{{contact.organization}}</h5>{%endif%}
        <p class="{%if not contact.address%}space{%endif%}">{{contact.address|linebreaks-br|safe}}</p>
        </div>
    </div>
    {% endfor %}
    </body>
</html>
